Subject: bug#75290: closed (Re: bug#75290: Fwd: remove-pos-from-symbol and bare-symbol)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Mar 2025 10:56:02 +0000

Your bug report

#75290: Fwd: remove-pos-from-symbol and bare-symbol

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75290: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75290
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75290: Fwd: remove-pos-from-symbol and bare-symbol
From: Eli Zaretskii <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 06 Mar 2025 12:55:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> From: Stefan Kangas <[email-masked]>
> Date: Tue, 4 Mar 2025 20:50:17 +0000
> 
> Alan Mackenzie <[email-masked]> writes:
> 
> >> Would you be willing to propose such docstrings?
> >
> > I'm afraid I need to decline such requests.  I'm no longer working on
> > Emacs (except for CC Mode, and possibly things I'm "responsible" for).
> > I'm now working on other things.
> >
> > Sorry.
> 
> Understood, and thanks for letting us know.
> 
> I suppose we need someone else to familiarize themselves with this code
> and make the docstring improvements here.

The required changes in the doc strings are so simple that frankly I
was surprised by Alan's response.

Anyway, this is now fixed on the emacs-30 release branch; closing.

Subject: Fwd: remove-pos-from-symbol and bare-symbol
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Thu, 2 Jan 2025 11:22:44 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

I'm forwarding this to the bug tracker so that we don't lose track of
it.  Alan, any comments here?

-------------------- Start of forwarded message --------------------
From: Richard Stallman <[email-masked]>
To: [email-masked]
Subject: remove-pos-from-symbol and bare-symbol
Date: Sun, 10 Mar 2024 22:39:23 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

The doc string of remove-pos-from-symbol says to compare it with
bare-symbol.  The doc strings are too sketchy to make clear what the
difference is.  Someone who knows should make that clear.

Is the difference what they do to an argument that is not a symbol?
If so, it would be good to state that explicitly in the doc string
of bare-symbol.  "If need be" is not explicit, not concrete.

I tried looking at the macros they call, which are in lisp.h.  But
those don't have doc strings and just call other functions that have
no comments to say what they do.

The macros and inline functions in lisp.h need to be documented there.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)

-------------------- End of forwarded message --------------------